# Installing from Helm repository

Once you have customized the SonarQube Server Helm chart, you can install it. You can also overwrite Helm chart parameters directly in the installation command.

## Pre-installation steps <a href="#pre-installation" id="pre-installation"></a>

You must set the value of your application authentication JWT token (A`pplicationNodes.jwtSecret` Helm chart parameter) with a HS256 key encoded with base64. You may use the following command on a Unix system:

```css-79elbk
echo -n "your_secret" | openssl dgst -sha256 -hmac "your_key" -binary | base64
```

The installation command below includes creating a secret and configuring the Helm chart token parameter with this secret.

## Installation command <a href="#installation-command" id="installation-command"></a>

Use the following command to install the latest SonarQube Server Helm chart. If you want to deploy the SonarQube Server LTA version, you should install the LTA Helm chart, see the Helm chart documentation:

```css-79elbk
helm repo add sonarqube https://SonarSource.github.io/helm-chart-sonarqube

helm repo update

kubectl create namespace sonarqube-dce

export JWT_SECRET=$(echo -n "your_secret" | openssl dgst -sha256 -hmac "your_key" -binary | base64)

helm upgrade --install -n sonarqube-dce sonarqube-dce --set applicationNodes.jwtSecret=$JWT_SECRET sonarqube/sonarqube-dce
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonarsource.com/sonarqube-server/2025.2/setup-and-update/deploy-on-kubernetes/dce/installing-from-helm-repo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
